/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#define NX 128
#define NH 32
#define FNAME "t5"
#define MAXERROR 10  // max absolute value 

DATA x[NX] ={
-6739,
-5661,
10172,
22123,
-8415,
-4899,
6203,
4308,
14191,
741,
18114,
-699,
-20585,
13148,
31634,
20095,
13340,
-986,
-25257,
10803,
-8823,
-23591,
4376,
21168,
11399,
32731,
30253,
-28911,
-9155,
3179,
-15613,
6379,
-29539,
4656,
13163,
30296,
16417,
15728,
-4465,
8799,
19859,
-27271,
29193,
27259,
6683,
-16151,
24474,
878,
15246,
-5097,
30236,
-28046,
3500,
-13633,
23459,
-10764,
11809,
-29266,
-9395,
-112,
-4297,
4093,
7642,
-25341,
26099,
16682,
19079,
20640,
11141,
-19604,
-14871,
8272,
2415,
-28869,
-26938,
-14988,
-5960,
-1702,
26803,
6307,
-11210,
-1430,
6368,
-22188,
21592,
29892,
6261,
-30884,
20454,
7216,
13205,
-26726,
-4923,
-8155,
-21879,
21833,
22193,
-3172,
29923,
-23125,
24243,
17657,
-3660,
7904,
29601,
9175,
-16560,
-9654,
-20457,
-614,
-5946,
-2391,
7270,
-28104,
-12172,
7103,
-21298,
7931,
-16649,
5725,
396,
-2309,
2714,
28988,
-10371,
-6436,
-12604,
-5796,
};

DATA h[NH] ={
-1118,
-553,
15,
1158,
-1012,
-2025,
-296,
-174,
-2533,
856,
1169,
-1140,
-1244,
1088,
1481,
2537,
-140,
2102,
-256,
1589,
1716,
-1742,
-554,
108,
1138,
361,
-205,
-286,
-2152,
-295,
-698,
-1031,
};

DATA rtest[NX+NH-1] ={
229,
306,
-255,
-1167,
-74,
1270,
745,
-1776,
-1375,
635,
-1576,
-1620,
2058,
153,
-4647,
-4452,
708,
3250,
-448,
-2550,
511,
-2305,
485,
2966,
-2051,
1150,
1673,
297,
3814,
4550,
-1212,
-4938,
3888,
1664,
-270,
-1974,
-3495,
-3922,
1943,
5204,
3118,
-3067,
-3789,
-731,
-5444,
-1585,
-670,
-11322,
-453,
7705,
1128,
-3251,
1252,
3795,
-5835,
795,
-553,
6278,
-446,
7153,
2595,
1266,
2060,
6381,
-3674,
146,
-3916,
1106,
-2456,
3561,
-4437,
-2881,
-8242,
-1706,
1355,
-781,
-4256,
-2260,
178,
4528,
2380,
10589,
1150,
-1939,
1367,
3131,
-1914,
138,
712,
-7647,
-8176,
6438,
-1996,
-6422,
-2344,
2275,
-4766,
-2394,
2911,
6088,
-3897,
1876,
2545,
2593,
1785,
2921,
-8343,
-781,
-1424,
-3858,
1776,
-359,
-1503,
3227,
3672,
7824,
-4031,
1428,
5954,
2871,
4765,
3335,
1736,
-4792,
2019,
-1447,
-3388,
-2749,
};

DATA x_np[NX+NH-1] = {
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
0,
-6739,
-5661,
10172,
22123,
-8415,
-4899,
6203,
4308,
14191,
741,
18114,
-699,
-20585,
13148,
31634,
20095,
13340,
-986,
-25257,
10803,
-8823,
-23591,
4376,
21168,
11399,
32731,
30253,
-28911,
-9155,
3179,
-15613,
6379,
-29539,
4656,
13163,
30296,
16417,
15728,
-4465,
8799,
19859,
-27271,
29193,
27259,
6683,
-16151,
24474,
878,
15246,
-5097,
30236,
-28046,
3500,
-13633,
23459,
-10764,
11809,
-29266,
-9395,
-112,
-4297,
4093,
7642,
-25341,
26099,
16682,
19079,
20640,
11141,
-19604,
-14871,
8272,
2415,
-28869,
-26938,
-14988,
-5960,
-1702,
26803,
6307,
-11210,
-1430,
6368,
-22188,
21592,
29892,
6261,
-30884,
20454,
7216,
13205,
-26726,
-4923,
-8155,
-21879,
21833,
22193,
-3172,
29923,
-23125,
24243,
17657,
-3660,
7904,
29601,
9175,
-16560,
-9654,
-20457,
-614,
-5946,
-2391,
7270,
-28104,
-12172,
7103,
-21298,
7931,
-16649,
5725,
396,
-2309,
2714,
28988,
-10371,
-6436,
-12604,
-5796,
};

